import request from '../../utils/request'

export function getMedAllTypes() {
    return request({
        url: '/siDict/getMedAllTypes',
        method: 'get',
    })
}

export function getMedTypesByFlag(flag) {
    return request({
        url: '/siDict/getMedTypesByFlag',
        method: 'get',
        params: {flag},
    })
}

export function getDiagTypes() {
    return request({
        url: '/siDict/getDiagTypes',
        method: 'get',
    })
}

export function getHospTypes() {
    return request({
        url: '/siDict/getHospTypes',
        method: 'get',
    })
}

export function getReflTypes() {
    return request({
        url: '/siDict/getReflTypes',
        method: 'get',
    })
}

export function getCertTypes() {
    return request({
        url: '/siDict/getCertTypes',
        method: 'get',
    })
}

export function getBizAppyTypes() {
    return request({
        url: '/siDict/getBizAppyTypes',
        method: 'get',
    })
}

export function getAgnterRlts() {
    return request({
        url: '/siDict/getAgnterRlts',
        method: 'get',
    })
}

export function getCatalogues() {
    return request({
        url: '/siDict/getCatalogues',
        method: 'get',
    })
}

export function getInsutypes() {
    return request({
        url: '/siDict/getInsutypes',
        method: 'get',
    })
}

export function getClrTypes() {
    return request({
        url: '/siDict/getClrTypes',
        method: 'get',
    })
}

export function getMatnTypes() {
    return request({
        url: '/siDict/getMatnTypes',
        method: 'get',
    })
}
